# File: blend_modes.coffee

Defined in: | lib/psd/layer

## Variables Summary

module.exports =

      {
        parseBlendModes: function() {
          this.blendMode = new BlendMode(this.file);
          this.blendMode.parse();
          this.opacity = this.blendMode.opacity;
          this.visible = this.blendMode.visible;
          return this.clipped = this.blendMode.clipped;
        },
        hidden: function() {
          return !this.visible;
        },

        /*
        TODO: check section divider
         */
        blendingMode: function() {
          return this.blendMode.mode;
        }
      }

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input